- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Generators::BFIG::CDBFIG::CDBFIG Class Reference

`#include <CDBFIG.h>`

Inheritance diagram for Mers::Generators::BFIG::CDBFIG::CDBFIG:

[legend]
Collaboration diagram for Mers::Generators::BFIG::CDBFIG::CDBFIG:

[legend]
List of all members.

## Public Member Functions
| CDBFIG (std::vector< BFIGVariable * > const &variableSet, double cutoffCost, BFIGObjectiveFunction const *of)
| CDBFIG (std::vector< BFIGVariable * > const &variableSet, double cutoffCost)
| CDBFIG (std::vector< BFIGVariable * > const &variableSet)
virtual | ~CDBFIG ()
virtual void | printStatistics (bool verbose=false) const
void | printStatistics (log4cplus::Logger logger, bool verbose=false, log4cplus::LogLevel logLevel=log4cplus::DEBUG_LOG_LEVEL) const
virtual void | printQueue (bool verbose=false) const
void | printQueue (log4cplus::Logger logger, bool verbose=false, log4cplus::LogLevel logLevel=log4cplus::DEBUG_LOG_LEVEL) const

## Detailed Description

This class defines the Conflict-Directed Best First Implicant Generator (CDBFIG). It is this implicant generator that puts the "O" in "OpSAT", by producing assignments to design variables in best-first order. This version expands candidates by using the conflicts, enabling it to throw away conflicts after they've been considered.

Definition at line 45 of file CDBFIG.h.

## Constructor & Destructor Documentation

Mers::Generators::BFIG::CDBFIG::CDBFIG::CDBFIG | ( | std::vector< BFIGVariable * > const & | variableSet,
|  | double | cutoffCost,
|  | BFIGObjectiveFunction const * | of |
| ) |  |  |

Creates a new CDBFIG object.

Parameters:

  | variableSet | The set of variables over which CDBFIG is searching.
  | cutoffCost | The cost at which all candidates are pruned.
  | of | the objective function to be used with this BFIG. States whether the function is MPI and the cost/utility associated with each implicant

Mers::Generators::BFIG::CDBFIG::CDBFIG::CDBFIG | ( | std::vector< BFIGVariable * > const & | variableSet,
|  | double | cutoffCost |
| ) |  |  |

Creates a new CDBFIG object.

Parameters:

  | variableSet | The set of variables over which CDBFIG is searching.
  | cutoffCost | The cost at which all candidates are pruned.

Mers::Generators::BFIG::CDBFIG::CDBFIG::CDBFIG | ( | std::vector< BFIGVariable * > const & | variableSet | ) |

Creates a new CDBFIG object.

Parameters:

  | variableSet | The set of variables over which CDBFIG is searching.

CDBFIG::~CDBFIG | ( |  | ) | `[virtual]`

Destroys this object.

Definition at line 74 of file CDBFIG.cpp.

## Member Function Documentation

void CDBFIG::printStatistics | ( | bool | verbose = `false` | ) | const`[virtual]`

Prints the statistics of the current search.

Parameters:

  | verbose | True for verbose output, in which case all statistics are printed. False for abbreviated statistics.

Reimplemented from Mers::Generators::BFIG::BFIG.

Definition at line 168 of file CDBFIG.cpp.

void Mers::Generators::BFIG::CDBFIG::CDBFIG::printStatistics | ( | log4cplus::Logger | logger,
|  | bool | verbose = `false`,
|  | log4cplus::LogLevel | logLevel = `log4cplus::DEBUG_LOG_LEVEL` |
| ) |  |  | const`[virtual]`

Prints the statistics of the current search.

Parameters:

  | logger | The logger to which the statistics are printed.
  | verbose | True for verbose output, in which case all statistics are printed. False for abbreviated statistics.
  | logLevel | The log level at which the logger should post messages.

Reimplemented from Mers::Generators::BFIG::BFIG.

void CDBFIG::printQueue | ( | bool | verbose = `false` | ) | const`[virtual]`

Prints the contents of the queue.

Parameters:

  | verbose | True for verbose output, in which case the whole queue is printed. False causes only the first few (fixed number) elements to be printed.

Reimplemented from Mers::Generators::BFIG::BFIG.

Definition at line 210 of file CDBFIG.cpp.

void Mers::Generators::BFIG::CDBFIG::CDBFIG::printQueue | ( | log4cplus::Logger | logger,
|  | bool | verbose = `false`,
|  | log4cplus::LogLevel | logLevel = `log4cplus::DEBUG_LOG_LEVEL` |
| ) |  |  | const`[virtual]`

Prints the contents of the queue.

Parameters:

  | logger | The logger to which the queue is printed.
  | verbose | True for verbose output, in which case the whole queue is printed. False causes only the first few (fixed number) elements to be printed.
  | logLevel | The log level at which the logger should post messages.

Reimplemented from Mers::Generators::BFIG::BFIG.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Generators/BFIG/CDBFIG/CDBFIG.h
- /Users/fpy/titan-1-5-MBARI/Mers/Generators/BFIG/CDBFIG/CDBFIG.cpp